Subject: Re: [PATCH v2 0/3] breaking-changes: deprecate support for core.commentChar=auto

From: Junio C Hamano <[email-masked]>
Date: Fri, 01 Aug 2025 09:41:00 -0700

Phillip Wood <[email-masked]> writes:

>> I guess I used to carry an equivalent as a recurrent merge-fix for
>> your topic branch, but rolling it into the base of the series is
>> certainly safer (i.e. we have to do a merge and resolve conflicts
>> just once, and after that we won't even touch it---as opposed to
>> keep recreating the same conflict and resolving every time we merge
>> your topic via rerere & merge-fix mechanism).
>
> I was hoping that rebasing on master would eliminate the need for a
> fix as 'ac/auto-comment-char-fix' is now in master but in the meantime
> 'ps/config-wo-the-repository' came along and moved code from config.c
> to environment.c without those changes. I'd assumed you already had a
> similar fixup when merging 'ps/config-wo-the-repository' into seen.

Exactly.  That is what I just said, in case it was unclear.